List template families

Returns the organization's template families with their members, newest first.

GET
/v1/templates/families

Returns the organization's template families with their members, newest first. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

limit?|null
cursor?string

Response Body

TemplateFamilyPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.templates.listFamilies({});
Example Response
{  "items": [    {      "id": "string",      "name": "string",      "members": [        {          "id": "string",          "name": "string",          "slug": "string",          "channel": "sms",          "status": "draft",          "isActive": true,          "createdAt": "string",          "updatedAt": "string"        }      ],      "createdAt": "string",      "updatedAt": "string"    }  ],  "nextCursor": "string"}

Related documentation